debian-installer section not mirrored in *-updates dists

Bug #1034679 reported by Steve Atwell on 2012-08-08
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
debmirror
Confirmed
Unknown
debmirror (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

[ Impact ]
Mirroring Ubuntu with debmirror skips debian-installer updates in the -updates pocket, due to a Debian change to skip *-updates because they don't publish d-i updates to their updates suites, while we do.

[ Test Case ]
See original report.

[ Regression Potential ]
Not so much a regression potential as it is that people who mirror Debian on Ubuntu will need to pass --skip-installer=$foo,$bar to skip attempting to mirror d-i under certain circumstances, though many people have never been able to reproduce the behaviour that led to this upstream change in the first place.

[ Original Report ]
debmirror ignores debian-installer sections when mirroring *-updates dists. I'm running debmirror 1:2.10ubuntu1 on Precise.

To reproduce, try to mirror precise and precise-updates like this:

debmirror -a amd64 -s main,main/debian-installer -d precise,precise-updates \
        --method rsync --verbose /tmp/debmirror

Notice that dists/precise/main/debian-installer exists, but dists/precise-updates/main/debian-installer does not.

I think the culprit is this bit of code in the debmirror script that instructs debmirror to skip debian-installer mirroring for any dist that contains the string "-updates":

sub di_skip_dist {
  my $dist=shift;
  if ( $dist =~ /.*-updates/ ||
       defined($skip_installer{$dist}) ) {
    return 1;
  }
  return 0;
}

Changed in debmirror:
status: Unknown → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debmirror (Ubuntu):
status: New → Confirmed
Adam Conrad (adconrad) wrote :

As a note, I'm uploading this to quantal but not raring because it's an arch:all package that is identical in both series' (despite the version number being different currently). I'll copy the Q binaries to R and verify on both, but there's no reason to build it twice.

description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debmirror - 1:2.15ubuntu2

---------------
debmirror (1:2.15ubuntu2) saucy; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)
 -- Adam Conrad <email address hidden> Fri, 05 Jul 2013 01:32:31 -0600

Changed in debmirror (Ubuntu):
status: Confirmed → Fix Released

Hello Steve, or anyone else affected,

Accepted debmirror into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debmirror/1:2.10ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debmirror (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Changed in debmirror (Ubuntu Quantal):
status: New → Fix Committed
Colin Watson (cjwatson) wrote :

Hello Steve, or anyone else affected,

Accepted debmirror into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debmirror/1:2.14ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Thanks Colin. I'm afraid that we've basically stopped using debmirror, so I don't think we're in a position to test this fix.

Adam Conrad (adconrad) wrote :

Verified on precise, quantal, and quantal's-package-on-raring that this does the right thing now.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debmirror - 1:2.14ubuntu1.3

---------------
debmirror (1:2.14ubuntu1.3) quantal; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)
 -- Adam Conrad <email address hidden> Fri, 05 Jul 2013 01:29:08 -0600

Changed in debmirror (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debmirror - 1:2.10ubuntu1.2

---------------
debmirror (1:2.10ubuntu1.2) precise; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)
 -- Adam Conrad <email address hidden> Wed, 19 Jun 2013 15:06:18 -0600

Changed in debmirror (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debmirror - 1:2.14ubuntu1.3

---------------
debmirror (1:2.14ubuntu1.3) quantal; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)
 -- Adam Conrad <email address hidden> Fri, 05 Jul 2013 01:29:08 -0600

Changed in debmirror (Ubuntu Raring):
status: New → Fix Released
Changed in debmirror:
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.